Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.label
Class EMFFormsLabelProviderImpl_ITest

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.label.EMFFormsLabelProviderImpl_ITest

    public class EMFFormsLabelProviderImpl_ITest

extends Object

JUnit integration test that tests that `EMFFormsLabelProviderImpl` uses the correct services.

Author:
  Lucas Koehler

Constructor Summary
`EMFFormsLabelProviderImpl_ITest()`

Method Summary
`void` | `setUp()` Resets and newly configures the services for every test.
`static void` | `setUpBeforeClass()` Set up that is executed before every test case.
`void` | `tearDown()` Dispose the realm.
`static void` | `tearDownAfterClass()` Unregisters the services after every test.
`void` | `testServiceUsageDescriptionOneParam()` Tests that `EMFFormsLabelProviderImpl.getDescription(VDomainModelReference)` uses the databinding and emf specific services.
`void` | `testServiceUsageDescriptionTwoParam()` Tests that `EMFFormsLabelProviderImpl.getDescription(VDomainModelReference, EObject)` uses the databinding and emf specific services.
`void` | `testServiceUsageDisplayNameOneParam()` Tests that `EMFFormsLabelProviderImpl.getDisplayName(VDomainModelReference)` uses the databinding and emf specific services.
`void` | `testServiceUsageDisplayNameTwoParam()` Tests that `EMFFormsLabelProviderImpl.getDisplayName(VDomainModelReference, EObject)` uses the databinding and emf specific services.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsLabelProviderImpl_ITest

    public EMFFormsLabelProviderImpl_ITest()

Method Detail

### setUpBeforeClass

    public static void setUpBeforeClass()
                                 throws DatabindingFailedException,
                                        BundleResolver.NoBundleFoundException

  Set up that is executed before every test case. Registers a databinding and an emf specific service. Mocks various objects for the tests.

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.
    `BundleResolver.NoBundleFoundException`

### setUp

    public void setUp()
               throws DatabindingFailedException

  Resets and newly configures the services for every test.

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.

### tearDown

    public void tearDown()

  Dispose the realm.

### tearDownAfterClass

    public static void tearDownAfterClass()

  Unregisters the services after every test.

### testServiceUsageDisplayNameOneParam

    public void testServiceUsageDisplayNameOneParam()
                                             throws DatabindingFailedException,
                                                    NoLabelFoundException

  Tests that `EMFFormsLabelProviderImpl.getDisplayName(VDomainModelReference)` uses the databinding and emf specific services.

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.
    `NoLabelFoundException`

### testServiceUsageDescriptionOneParam

    public void testServiceUsageDescriptionOneParam()
                                             throws DatabindingFailedException,
                                                    NoLabelFoundException

  Tests that `EMFFormsLabelProviderImpl.getDescription(VDomainModelReference)` uses the databinding and emf specific services.

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.
    `NoLabelFoundException`

### testServiceUsageDisplayNameTwoParam

    public void testServiceUsageDisplayNameTwoParam()
                                             throws DatabindingFailedException,
                                                    NoLabelFoundException

  Tests that `EMFFormsLabelProviderImpl.getDisplayName(VDomainModelReference, EObject)` uses the databinding and emf specific services.

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.
    `NoLabelFoundException`

### testServiceUsageDescriptionTwoParam

    public void testServiceUsageDescriptionTwoParam()
                                             throws DatabindingFailedException,
                                                    NoLabelFoundException

  Tests that `EMFFormsLabelProviderImpl.getDescription(VDomainModelReference, EObject)` uses the databinding and emf specific services.

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.
    `NoLabelFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.